#
libsff

Home | Modules | Examples

# _CCMIOBuffer Struct Reference

`#include <ccmiobuffer.h>`

## Data Fields

long | size
long | start
| Size of buffer.
CCMIOBufferDataType * | buffer
| Byte offset that buffer[0] represents.
CCMIONode | node
| The buffer.
int | nDims
| The node.
int * | dims
| The number of dimensions (cached).
unsigned int | max
| The size of dimensions (cached).
int | typeSize
| Number of items in the node (cached).
int | isRead
| Size of the datatype in the buffer(cached).

## Field Documentation

CCMIOBufferDataType* buffer

| Byte offset that buffer[0] represents. Definition at line 29 of file ccmiobuffer.h.

int* dims

| The number of dimensions (cached). Definition at line 32 of file ccmiobuffer.h.

int isRead

| Size of the datatype in the buffer(cached). Definition at line 35 of file ccmiobuffer.h.

unsigned int max

| The size of dimensions (cached). Definition at line 33 of file ccmiobuffer.h.

int nDims

| The node. Definition at line 31 of file ccmiobuffer.h.

CCMIONode node

| The buffer. Definition at line 30 of file ccmiobuffer.h.

long size

| Definition at line 27 of file ccmiobuffer.h.

long start

| Size of buffer. Definition at line 28 of file ccmiobuffer.h.

int typeSize

| Number of items in the node (cached). Definition at line 34 of file ccmiobuffer.h.

The documentation for this struct was generated from the following file:

- /home/pinky2/mattijs/OpenFOAM/OpenFOAM-1.0/applications/utilities/mesh/conversion/ccm24ToFoam/libccmio/libccmio/ccmiobuffer.h